=== debian/changelog ===
bzr (2.3.1-2) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Add python-medusa, python-lzma and python-meliae as build
    dependencies (used by the test suite).

  [ John Ferlito ]
  * Remove John Ferlito from Uploaders.

  [ Jelmer Vernooij ]
  * Prefer cython as build dependency.
  * Remove generated C files during clean.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 05 Apr 2011 14:38:50 +0200

bzr (2.3.1-1) unstable; urgency=low

  * New upstream release.
   + Build depend on python-configobj >= 4.7.2+ds-2 which has a fix for bug
     #618349 which breaks the Bazaar testsuite.
  * Switch to dh_python2.
  * Switch to debhelper 7, drop cdbs.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 13 Mar 2011 15:08:21 +0100

bzr (2.3.0-6) unstable; urgency=low

  * Support running the test suite in parallel.
  * Run selftest with -v so there is some indication of progress. This should
    prevent builds from being killed on buildds due to a lack of output.
  * Cherry-pick fix to use correct format character for unsigned int
    gc_chk_sha1_record members. Fixes FTBFS on alpha.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 26 Feb 2011 04:07:18 +0100

bzr (2.3.0-5) unstable; urgency=low

  * Add 05_kfreebsd_tests: Enable FreeBSD kernel specific workarounds
    for Debian/kFreeBSD. Fixes FTBFS on kfreebsd-{i386,amd64}.
  * Set BZR_HOME during test run for hosts that don't have a home
    directory set.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 25 Feb 2011 16:32:22 +0100

bzr (2.3.0-4) unstable; urgency=low

  * Use multiprocessing.cpu_count to retrieve number of CPUs if
    possible. Closes: #588853

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 23 Feb 2011 14:55:32 +0100

bzr (2.3.0-3) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Bump debhelper dependency to debhelper 7.4.16, required for our use
    of --list-missing and --fail-missing.

  [ Max Bowsher ]
  * Run testsuite on bzr including compiled extensions.
  * Run testsuite on all architectures, not just when doing an
    architecture-independent build.

  [ Jelmer Vernooij ]
  * Disable launchpad plugin tests as they currently require access to
    Launchpad production. Closes: #614544

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 22 Feb 2011 15:47:00 +0100

bzr (2.3.0-2) unstable; urgency=low

  * Split python library into a separate package. Closes: #561647

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 06 Feb 2011 14:49:49 +0100

bzr (2.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 03 Feb 2011 18:58:06 +0100

bzr (2.3.0~beta5-1) unstable; urgency=medium

  [ Jelmer Vernooij ]
  * Cherrypick fix for compatibility with python2.7 >= 2.7.1-2.  LP: #693880
  * Switch to python-support. Closes: #568462
  * Add missing build dependency on python-configobj.
  * Make dependency on python-testtools versioned (>= 0.9.5).
  * Re-remove included elementtree and configobj. Closes: #555343, #555336

  [ Vincent Ladeuil ]
  * New upstream release.
   + Fix https python-2.7 compatibility. Closes: #608085
   + Follow the Freedesktop XDG Base Directory Specification. LP: #195397
  * Drop unnecessary dependency on graphviz.

  [ Max Bowsher ]
  * Run testsuite for bundled plugins too.

  [ Jelmer Vernooij ]
  * Cherrypick fix around default locales.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 21 Jan 2011 22:08:19 +0100

bzr (2.3.0~beta3-1) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Add testtools to build dependencies.
  * Run tests by default again, unless "nocheck" is present in
    DEB_BUILD_OPTIONS. (per policy)

  [ Max Bowsher ]
  * Amend watch file to match current package version scheme.
  * New upstream release.

 -- Max Bowsher <maxb@f2s.com>  Fri, 05 Nov 2010 23:21:04 +0000

bzr (2.3.0~beta2-1) unstable; urgency=low

  * New upstream release.
  * Rebuild with python2.5 modules. Closes: #593409

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 11 Oct 2010 02:21:33 +0200

bzr (2.3.0~beta1-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 20 Sep 2010 11:30:28 -0700

bzr (2.2~b4-1) experimental; urgency=low

  * New upstream beta.
  * Bump standards version to 3.9.0.
  * Drop build dependency on zlib.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 21 Jul 2010 01:02:00 +0200

bzr (2.2~b2-1) experimental; urgency=low

  * New upstream release.
  * Recommend python-launchpadlib. Closes: #568937

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 21 May 2010 19:56:07 +0200
