=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with python2 $*

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
CONCURRENCY = BZR_CONCURRENCY=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

PYTHON_CURRENT_VERSION = $(shell pyversions -vd)

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	[ -d debian/bzrhome ] || mkdir debian/bzrhome
	$(CONCURRENCY) \
	BZR_HOME=debian/bzrhome \
	BZR_PLUGIN_PATH=-site:-user \
	BZR_DISABLE_PLUGINS=launchpad \
	PYTHONPATH=$(wildcard $(CURDIR)/build/lib.*-$(PYTHON_CURRENT_VERSION)) \
	$(CURDIR)/build/scripts-$(PYTHON_CURRENT_VERSION)/bzr selftest -v --parallel=fork
endif

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) clean-docs
	rm -rf debian/bzrhome
	rm -f bzrlib/*_pyx.c

override_dh_auto_install:
	dh_auto_install --buildsystem=python_distutils -- --install-data=/usr/share

override_dh_install:
	dh_install --list-missing --fail-missing
	# Install the documentation; since html and txt and intermixed
	# under doc/, this is handier than trying to do it from bzr-doc.install. 
	for ext in txt html; do \
	    ( cd doc && find -name "*.$$ext" -print0 ) | \
	    	xargs -r0 -i'{}' -n1 install -D -m 644 'doc/{}' \
	    	"debian/bzr-doc/usr/share/doc/bzr/$$ext/{}"; \
	done
	# Install images as well
	( cd doc && find -name "*.png" -print0 ) | \
	    xargs -r0 -i'{}' -n1 install -D -m 644 'doc/{}' \
	    "debian/bzr-doc/usr/share/doc/bzr/html/{}"

override_dh_auto_build:
	dh_auto_build --buildsystem=python_distutils
	$(MAKE) docs

override_dh_compress:
	dh_compress -X.xvg -X.pdf
