=== debian/changelog ===
bzr (2.3.4-0ubuntu1) natty-proposed; urgency=low

  * New upstream release.
   + Fix bzr version number in deprecation warnings. LP: #794960
   + Prevent write attemps on remote branch during "bzr up". LP: #786980
   + Fix conflict handling when two trees involved in a merge have different
     root ids. LP: #805809

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 14 Jul 2011 21:12:58 +0200

bzr (2.3.3-0ubuntu1) natty-proposed; urgency=low

  * New upstream release.
   + Fixes deprecation warning on newer versions of Python. LP: #760435
   + Stops 'bzr push' from copying entire repository if a .bzr directory is
     present without a branch. LP: #465517
   + Fixes undefined local variable error when waiting for lock. LP: #733136
   + Fixes lock contention issues pushing to a bound branch. LP: #733350
   + Transfers less data creating a new stacked branch. LP: #737234
   + Several fixes to the test suite, making it more robust. LP: #654733,
      LP: #751824
   + 'bzr merge --pull --preview' actually shows a preview rather than
     actually merging. LP: #760152
   + bzr smart server now supports UTF-8 user names. LP: #659763
   + user identity can now be set based on username and /etc/mailname, not
     requiring it to be set manually. LP: #616878
   + stacking is now fully transitive. LP: #715000
   + makes in-terminal crash report of plugins much shorter. LP: #716389

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Wed, 08 Jun 2011 13:58:00 +0100

bzr (2.3.1-1ubuntu1) natty; urgency=low

  * Drop build dependency on python-subunit (universe). LP: #713038.
  * Disable parallel tests.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 26 Mar 2011 01:50:11 +0100
