## bzr 2.4.0~beta2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2010 Canonical Ltd
+# Copyright (C) 2005-2011 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -28,7 +28,7 @@
 PLUGIN_TARGET=plugin-release
 PYTHON_BUILDFLAGS=
 
-.PHONY: all clean extensions pyflakes api-docs check-nodocs check
+.PHONY: all clean realclean extensions pyflakes api-docs check-nodocs check
 
 all: extensions
 
@@ -65,6 +65,11 @@
 clean:
 	$(PYTHON) setup.py clean
 	-find . -name "*.pyc" -o -name "*.pyo" -o -name "*.so" | xargs rm -f
+
+realclean: clean
+	# Remove files which are autogenerated but included by the tarball.
+	rm -f bzrlib/*_pyx.c
+	rm -f bzrlib/_simple_set_pyx.h bzrlib/_simple_set_pyx_api.h
 
 # Build API documentation
 docfiles = bzr bzrlib
@@ -354,6 +359,3 @@
 
 installer-all:
 	@echo Make all the installers from scratch
-	@# Build everything in a separate directory, to avoid cluttering the WT
-	$(PYTHON) tools/win32/ostools.py makedir build-win32
-	@# cd to tools/win32 so that the relative paths are copied correctly
