=== debian/changelog ===
bzr (2.4.0~beta2-3) unstable; urgency=low

  * Upload to unstable.
  * Update 05_fix_locale_test to cope with home directory not existing.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 01 May 2011 01:52:14 +0200

bzr (2.4.0~beta2-2) experimental; urgency=low

  * Fix locale setting during TestExceptionReporting.test_undecodable_argv.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 30 Apr 2011 02:27:33 +0200

bzr (2.4.0~beta2-1) experimental; urgency=low

  * New upstream release.
   + No longer requires setting user identity to commit. LP: #616878
   + Sets proper permissions on files in exported zip files. LP: #207253
   + Prints better error message when argv can't be decoded in application
     locale. LP: #745712
   + Now uses /etc/mailname when determining default identity. Closes: #574933

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 28 Apr 2011 18:18:35 +0200

bzr (2.4.0~beta1-2) experimental; urgency=low

  * Split bzrlib.tests out from python-bzrlib into python-bzrlib.tests,
    as it is fairly large (16Mb) and not needed by most users.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 06 Apr 2011 18:43:12 +0200

bzr (2.4.0~beta1-1) experimental; urgency=low

   * New upstream release.
      + Drop patches merged upstream: 01_test_locale, 04_cpu_count,
     05_kfreebsd_tests, 06_format_gc_chk_sha1_record
      + Fixes directory modes in zip files. LP: #207253

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 31 Mar 2011 12:03:48 +0200

bzr (2.3.0-7) unstable; urgency=low

  * Switch to dh_python2.
  * Switch to debhelper 7, drop cdbs.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 07 Mar 2011 12:02:02 +0100
