=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh --with python2 $*
+	dh --with python2 --buildsystem=python_distutils $*
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 CONCURRENCY = BZR_CONCURRENCY=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -30,6 +30,9 @@
 	dh_auto_install --buildsystem=python_distutils -- --install-data=/usr/share
 
 override_dh_install:
+	mkdir -p debian/python-bzrlib.tests/usr/lib \
+		debian/python-bzrlib.tests/usr/share/pyshared/bzrlib
+	for py in $(shell pyversions -r); do { mkdir -p debian/python-bzrlib.tests/usr/lib/$$py/dist-packages/bzrlib; mv debian/tmp/usr/lib/$$py/dist-packages/bzrlib/tests debian/python-bzrlib.tests/usr/lib/$$py/dist-packages/bzrlib/tests; } done
 	dh_install --list-missing --fail-missing
 	# Install the documentation; since html and txt and intermixed
 	# under doc/, this is handier than trying to do it from bzr-doc.install.
