=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/;s/b/.0~beta/" \
https://launchpad.net/bzr/+download http://launchpad.net/bzr/.*/bzr-(.+).tar.gz
