## bzr 2.4.0~beta5

=== debian/changelog ===
bzr (2.4.0~beta5-3) unstable; urgency=low

  * Fix compatibility with Python 2.7.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 19 Jul 2011 00:14:35 +0200

bzr (2.4.0~beta5-2) unstable; urgency=low

  * Support all i18n-related environment variables not being set.
    Closes: #633892

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 15 Jul 2011 11:03:53 +0200

bzr (2.4.0~beta5-1) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Fix typo in package description. Thanks Paul Stewart.
  * Mark python-bzrlib as breaking with older versions of bzr that
    predate python-bzrlib. LP: #803362

  [ Max Bowsher ]
  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 14 Jul 2011 15:35:42 +0200

bzr (2.4.0~beta4-4) unstable; urgency=low

  * Add 09_utf8_config_files.
    + Fixes use of configuration files with non-ascii characters. Closes: #630872
      LP: #799212

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 21 Jun 2011 21:57:29 +0200

bzr (2.4.0~beta4-3) unstable; urgency=low

  * Drop no longer necessary dependency on python-elementtree, as it is
    included in all currently supported versions of Python.
  * Add python-bzrlib-dbg package.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 19 Jun 2011 03:45:44 +0200

bzr (2.4.0~beta4-2) unstable; urgency=low

  * Fix tests when home directory does not exist. Thanks Vincent Ladeuil.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 17 Jun 2011 16:10:52 +0200

bzr (2.4.0~beta4-1) unstable; urgency=low

  * New upstream release.
   + Using "bzr blame" no longer requires user to set identity.  LP: #667408
  * Bump standards version to 3.9.2 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 17 Jun 2011 01:15:56 +0200

bzr (2.4.0~beta3-2) unstable; urgency=low

  * Add 04_fix_undecodable_argv; cope with $HOME not existing on some
    buildd machines.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 01 Jun 2011 13:17:25 +0100

bzr (2.4.0~beta3-1) unstable; urgency=low

  * New upstream release.
   + Requires at least Python 2.6 or higher.
   + Fixes permissions on directories in zip files. LP: #207253
   + Prints proper error when encountering encoding-invalid characters in
     commit messages on the commandline. LP: #745712
   + Drop patches merged upstream: 04_auto_user_id_test_fix,
   05_fix_locale_test
  * Add upper bound version dependency on python-bzrlib in bzr.
    LP: #778696

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 01 Jun 2011 10:54:35 +0100
