=== debian/control ===
--- 
+++ 
@@ -6,20 +6,20 @@
            Wouter van Heyst <larstiq@larstiq.dyndns.org>,
            Reinhard Tartler <siretart@tauware.de>,
            Jelmer Vernooij <jelmer@debian.org>
-Build-Depends: cython | python-pyrex,
-               debhelper (>> 7.4.16),
+Build-Depends: cython-dbg | python-pyrex,
+               debhelper (>> 8.1.0~),
                python (>= 2.6.6-3),
-               python (>> 2.5) | python-celementtree | python-elementtree,
                python-all-dev (>= 2.6.6-3),
+               python-all-dbg (>= 2.6.6-3),
                python-configobj (>= 4.7.2+ds-2),
                python-docutils,
-               python-lzma,
+               python-lzma-dbg,
                python-medusa,
-               python-meliae,
+               python-meliae-dbg,
                python-subunit,
                python-testtools (>= 0.9.5~)
-Standards-Version: 3.9.1
-X-Python-Version: >= 2.4
+Standards-Version: 3.9.2
+X-Python-Version: >= 2.6
 Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr/2.4
 Homepage: http://bazaar-vcs.org
 Dm-Upload-Allowed: yes
@@ -27,8 +27,10 @@
 Package: bzr
 Architecture: all
 Depends: python-bzrlib (>= ${source:Version}),
+         python-bzrlib (<= ${source:Version}.1~),
          ${misc:Depends},
          ${python:Depends}
+Breaks: python-bzrlib (<< 2.4.0~beta3~)
 Recommends: bzrtools
 Suggests: bzr-doc, bzr-gtk, bzr-svn, python-bzrlib.tests
 Description: easy to use distributed version control system
@@ -38,7 +40,7 @@
  .
  Publishing of branches can be done over plain HTTP, that is, no special
  software is needed on the server to host Bazaar branches. Branches can
- be pushed to the server via sftp (which most SSH instalations come
+ be pushed to the server via sftp (which most SSH installations come
  with), FTP, or over a custom and faster protocol if bzr is installed in
  the remote end.
  .
@@ -58,8 +60,7 @@
 Package: python-bzrlib
 Architecture: any
 Section: python
-Depends: python (>> 2.5) | python-celementtree | python-elementtree,
-         python-configobj,
+Depends: python-configobj,
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
@@ -67,6 +68,7 @@
 Suggests: python-bzrlib.tests,
           python-kerberos (>= 1.0+svn2455-1),
           python-pycurl,
+          python-bzrlib-dbg,
           xdg-utils
 Breaks: bzr (<< 2.3.0-2)
 Provides: ${python:Provides}
@@ -81,6 +83,21 @@
  Install python-paramiko if you are going to push branches to remote
  hosts with sftp, and python-pycurl if you'd like for SSL certificates
  always to be verified.
+
+Package: python-bzrlib-dbg
+Architecture: any
+Priority: extra
+Section: debug
+Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-bzrlib (= ${binary:Version})
+Provides: ${python:Provides}
+Recommends: python-dbg
+Suggests: python-meliae-dbg, python-lzma-dbg
+Description: distributed version control system - debug extension
+ Bazaar is a distributed version control system designed to be easy to
+ use and intuitive, able to adapt to many workflows, reliable, and
+ easily extendable.
+ .
+ This package contains the debug extension for the Bazaar Python library.
 
 Package: python-bzrlib.tests
 Architecture: all
@@ -117,7 +134,7 @@
  .
  Publishing of branches can be done over plain HTTP, that is, no special
  software is needed on the server to host Bazaar branches. Branches can
- be pushed to the server via sftp (which most SSH instalations come
+ be pushed to the server via sftp (which most SSH installations come
  with), FTP, or over a custom and faster protocol if bzr is installed in
  the remote end.
  .
