## bzr 2.4.0

=== Makefile ===
--- 
+++ 
@@ -75,9 +75,7 @@
 docfiles = bzr bzrlib
 api-docs:
 	mkdir -p api/html
-	PYTHONPATH=$(PWD) $(PYTHON) tools/bzr_epydoc --html -o api/html --docformat 'restructuredtext en' $(docfiles)
-check-api-docs:
-	PYTHONPATH=$(PWD) $(PYTHON) tools/bzr_epydoc --check --docformat 'restructuredtext en' $(docfiles)
+	pydoctor --make-html --docformat='restructuredtext' --html-output=api/html $(docfiles)
 
 # build tags for emacs and vim
 TAGS:
@@ -359,3 +357,5 @@
 
 installer-all:
 	@echo Make all the installers from scratch
+	@# Build everything in a separate directory, to avoid cluttering the WT
+	$(PYTHON) tools/win32/ostools.py makedir build-win32
