=== debian/changelog ===
bzr (2.4.0-3) unstable; urgency=medium

  * Fix regression in open_write_stream, which breaks the bzr-builddeb
    testsuite. Closes: #638219, LP: #831351

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 31 Aug 2011 14:21:44 +0200

bzr (2.4.0-2) unstable; urgency=medium

  * Ignore permission denied errors when opening configuration files.
    LP: #837324, Closes: #639004

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 30 Aug 2011 14:12:41 +0200

bzr (2.4.0-1) unstable; urgency=low

  * New upstream release.
   + Suggest python-gpgme python-gpgme-dbg for new signatures features.
   + Build-conflict with python-gpgme for the moment because of
     failing GPG tests when it is installed.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 13 Aug 2011 21:57:09 +0200
